Page MenuHomePhabricator

Deprecate (hopefully) the CustomData extension
Closed, ResolvedPublic

Description

MediaWiki-extensions-CustomData is superseded by ParserOutput#setExtensionData and #getExtensionData so it should be deprecated.

AC

  • The RelatedArticles extension is updated to use the new-ish ParserOutput methods
  • Update the RelatedArticles extension page to reflect that the extension no longer requires the CustomData extension T115019
  • Email wikitech-l to see which other extensions rely on the CustomData extension and need to be updated

Event Timeline

phuedx created this task.Oct 7 2015, 5:30 PM
phuedx raised the priority of this task from to Needs Triage.
phuedx updated the task description. (Show Details)
phuedx added a subscriber: phuedx.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2015, 5:30 PM
Jdlrobson updated the task description. (Show Details)Oct 7 2015, 11:05 PM

Change 244379 had a related patch set uploaded (by Jdlrobson):
Remove CustomData dependency

https://gerrit.wikimedia.org/r/244379

Jdlrobson updated the task description. (Show Details)Oct 8 2015, 4:19 PM

I've sent a mail about sunsetting it.
I realised that we actually need to keep the dependency for 30 days so I think updating the MediaWiki page will have to wait. Have created T115019 to capture that.
@phuedx do you want to remove that acceptance criteria?

phuedx updated the task description. (Show Details)Oct 9 2015, 2:19 PM

Change 244379 merged by jenkins-bot:
Remove CustomData dependency

https://gerrit.wikimedia.org/r/244379

phuedx updated the task description. (Show Details)Oct 9 2015, 3:04 PM

@Jdlrobson: We should take it upon ourselves to do the same for those other extensions that are still relying on MediaWiki-extensions-CustomData.

Sure. Let's push this forward a few sprints though. We need to stay focused.

Liuxinyu970226 moved this task from Untriaged to Archive extensions on the Cleanup board.